program PlaneFWDmod
  use sep
  use planemod

  implicit none

  integer:: n1,verb,st
  real:: xm,ym,zm,sm,shy,shx
  real,allocatable,dimension(:,:):: head,panel,model
  real,allocatable,dimension(:)  :: timeout
  logical:: xcor,traces
  call sep_init(SOURCE)


  call from_param('xcor',xcor,.false.)

  call from_param("x",xm,2000.)
  call from_param("y",ym,-40000.)
  call from_param("z",zm,0.)
  call from_param("s",sm,1465.)
  sm=1./sm
 
  call fwdmod_init(shx,shy,n1)

  allocate(timeout(n1),model(6,1))
  timeout=0.;model=0.

  write(0,*)' ntr,size(timeout)',ntr,size(timeout)


  model(1,1)=xm+shx
  model(2,1)=ym+shy
  model(3,1)=zm
  model(4,1)=sm
  model(5,1)=0.
  model(6,1)=0.
  write(0,*)' model',model
  st=planemod_op(model,1)
!  call getpicks(timeout)
!write(0,*) timeout

!  call sep_write(timeout,'OUT')
call fwdmod_write()
end program PlaneFWDmod
